> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/deprecated/unity-sdk/methods.md).

# 메서드

Wepin widget unity SDK에서 제공하는 메서드입니다.

## openWidget

<mark style="color:blue;">`openWidget`</mark> 는 위젯 윈도우를 보여줍니다.&#x20;

### 예시

```csharp
_wepin.openWidget();
```

## closeWidget

<mark style="color:blue;">`closeWidget`</mark> 는 위젯 윈도우를 닫습니다.

### 예시

```csharp
_wepin.closeWidget();
```

## getAccounts

앱에서 사용 가능한 계정 정보를 반환합니다.  <mark style="color:blue;">`getAccounts`</mark> 는 위젯 로그인 이후에 사용 가능한 메서드입니다. &#x20;

```csharp
AccountList accountList = _wepin.GetAccounts();
```

### \<WepinSDK.Types.AccountList>

<mark style="color:blue;">`getAccounts`</mark> 함수의 반환 값 입니다. 사용자 로그인 상태이면 <mark style="color:blue;">`account`</mark>의   리스트를 반환스합니다. &#x20;

* `account` <*WepinSDK.Types.Accounts*>
  * `address` <*string*>\
    계정 주소
  * `network` <*string*>

    계정의 블록체인 네트워크 입니다. 각 네트워크의 이름은 아래에서 확인 가능합니다.

{% content-ref url="/pages/jNG611rZkq69C8zZKglh" %}
[지원 블록체인](/wepin/supported-blockchains.md)
{% endcontent-ref %}

### 예시

```json
[
  {
    address: '0x0000001111112222223333334444445555556666',
    network: 'Ethereum',
  },
]
```

## finalize

<mark style="color:blue;">`finalize`</mark> 는 위핀  위젯 instance를 종료합니다.&#x20;

### 예시

```csharp
_wepin.finalize();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/deprecated/unity-sdk/methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
